-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Version 7.0.0 (2006-08-29)

  Ruby-VPI is a Ruby interface to Verilog VPI. It lets you create
  complex Verilog test benches easily and wholly in Ruby.


  Web site:  http://ruby-vpi.rubyforge.org

  Tutorial:  http://ruby-vpi.rubyforge.org/doc/usage.tutorial.html

  Download:  http://rubyforge.org/frs/?group_id=1339&release_id=6678

  SVN tag:   svn://rubyforge.org/var/svn/ruby-vpi/tags/7.0.0


Summary

  This release distributes Ruby-VPI as a gem, improves portability of generated
  tests, and fixes a bug.

Details

   put_value() now accomodates register value overflows when verifying the
    value it has written.

   Ruby-VPI is now distributed only as a source gem. You can decompress the
    gem without installing it onto your system by running the command gem
    install -i output_directory ruby-vpi-7.0.0.gem. In addition, you can still
    obtain the source code directly from the Subversion repository.

   The test generator templates and the examples have been updated as
    follows:
       Test runners no longer have to specify the path to Ruby-VPI
        installation directory. Instead, they simply require 'ruby-vpi/runner'.
        Thus, you can run your tests on any machine with Ruby-VPI without
        having to know where it is installed.
       Ruby benches now invoke RubyVPI.init_bench instead of require 'bench';
        setup_bench to become initialized.

   All Ruby libraries in the lib/ directory have been moved into lib/ruby-vpi/
    to prevent load-path clashes with other gems. You should access these
    libraries by prefixing their path with ruby-vpi. For example, require
    'vpi_util' should now be written as require 'ruby-vpi/vpi_util'.

   The src/ directory has been renamed to ext/ to follow RubyGems convention.

   The tools in bin/ become available in your system bin/ directory when the
    gem is installed.
       Usage and help information has been added to the header_to_ruby.rb
        tool.

   Incorrect spelling of GPL Cver (v should be uncapitalized) has been fixed.

   Incorrect link to GPL Cver website has been fixed.

   The user manual has been updated according to all of the above changes.

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2.2 (GNU/Linux)

iD4DBQFE9JH1mV9O7RYnKMcRArQ0AKCPpT30MBe+NppnakZBIxCRXQ5cjACXe0+r
mHg+TRY3GE2hk5F2ItsA0A==
=KYFw
-----END PGP SIGNATURE-----